# Connections

## Exports function

### Save Props (Client)

<pre class="language-lua"><code class="lang-lua">-- @params
<strong>-- vehicle, type - number, desc - entity of vehicle
</strong>-- properties, type - table, desc - properties of vehicle

exports['zobyeteam_carcustoms']:SaveProps(vehicle, properties)
</code></pre>

### Get Vehicle Properties (Client)

<pre class="language-lua"><code class="lang-lua">-- @params
<strong>-- vehicle, type - number, desc - entity of vehicle
</strong>
exports['zobyeteam_carcustoms']:GetVehicleProperties(vehicle)
</code></pre>

### Set Vehicle Properties (Client)

<pre class="language-lua"><code class="lang-lua">-- @params
<strong>-- vehicle, type - number, desc - entity of vehicle
</strong>-- properties, type - table, desc - properties of vehicle

exports['zobyeteam_carcustoms']:SetVehicleProperties(vehicle, properties)
</code></pre>

### Open Car Customs (Client)

{% code fullWidth="false" %}

```lua
-- open car customs but still check like normal open such as position and owned vehicle
-- @params
-- forceOpen if true will not check any conditions.

exports['zobyeteam_carcustoms']:OpenCarCustom(forceOpen)
```

{% endcode %}

### Toggle NUI Focus (Client)

```lua
-- toggle nui focus of camera view
-- @params

exports['zobyeteam_carcustoms']:ToggleNuiFocus()
```

### Open Shop (Client)

```lua
-- open shop but still check like normal open
-- @params

exports['zobyeteam_carcustoms']:OpenShop()
```

### Cancel Used Item (Client)

```lua
-- cancel car customs item that you're holding
-- @params

exports['zobyeteam_carcustoms']:CancelUsedItem()
```

### Reset Camera (Client)

```lua
-- reset camera view to default or camera view of menu
-- @params

exports['zobyeteam_carcustoms']:ResetCamera()
```

### Open Stancer (Client)

```lua
-- open stancer customs but still check like normal open such as position
-- @params

exports['zobyeteam_carcustoms']:OpenStancer()
```

### Open Color Customs (Client)

```lua
-- open color customs but still check like normal open such as position
-- @params

exports['zobyeteam_carcustoms']:OpenColorCustoms()
```

### Load Vehicle Stancer (Client)

```lua
-- apply stancer to close vehicle that you owned (auto run in our script)
-- @params

exports['zobyeteam_carcustoms']:LoadVehicleStancer()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zobyeteam.com/resource/zobyeteam_carcustoms/connection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
